Share Gift Card

Enables a user to share a gift card with another user

Path Parameters
  • uuid
    Type: string
    required

    Unique ID of the gift card issued by and maintained in the Punchh system

Headers
  • x-pch-digest
    Type: string
    required

    The signature for the API call

  • Authorization
    Type: string
    required

    Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Accept
    Type: string
    required

    Advertises which content types the client is able to understand

  • Accept-Language
    Type: string

    Preferred language

  • Content-Type
    Type: string
    required

    Set this header to application/json.

  • User-Agent
    Type: string
    required

    Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body
application/json
  • client
    Type: string
    required

    OAuth client ID provided by the business

  • passcode
    Type: string
    required

    Secondary authentication PIN that must be passed if it is enabled for a business. It can be turned on/off from the Punchh platform.

  • recipient_email
    Type: string
    required

    Email address of the user with whom the balance / gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

  • recipient_fb_uid
    Type: string
    required

    Facebook "uid" of the user with whom the balance/gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

  • recipient_phone
    Type: string
    required

    Phone number of the user with whom the balance / gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

Responses
  • text/plain
  • application/json
  • application/json
Request Example for post/api2/mobile/gift_cards/{uuid}/share
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/share' \
  --request POST \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "recipient_email": "test@example.com",
  "recipient_phone": 1111111111,
  "recipient_fb_uid": "FB_UID_GOES_HERE",
  "passcode": "1234",
  "client": "CLIENT_GOES_HERE"
}'
[
  "Well done Amigo, you’re sharing our Cafe love by giving <user> access to your card. Well done."
]